E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::MultiServerImp Class Reference

A private implementation class used by GNet::MultiServer. More...

`#include <gmultiserver.h>`

Inheritance diagram for GNet::MultiServerImp:

## Public Member Functions
| MultiServerImp (MultiServer &, ExceptionHandler &, const Address &)
| Constructor.
void | cleanup ()
| Does cleanup.
Public Member Functions inherited from GNet::Server
| Server (ExceptionHandler &, const Address &listening_address)
| Constructor. More...
| Server (ExceptionHandler &)
| Constructor; initialise with init().
void | init (const Address &listening_address)
| Initilisation after default construction.
virtual | ~Server ()
| Destructor.
std::pair< bool, Address > | address () const
| Returns the listening address. More...
virtual void | readEvent () override
| Override from GNet::EventHandler.
virtual void | writeEvent () override
| Override from GNet::EventHandler.
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()
| Destructor.
virtual void | otherEvent (Reason)
| Called for a socket-exception event or a socket-close event on windows. More...

## Additional Inherited Members
Public Types inherited from GNet::EventHandler
enum | Reason { reason_closed, reason_down, reason_reset, reason_abort, reason_other }
Static Public Member Functions inherited from GNet::Server
static bool | canBind (const Address &listening_address, bool do_throw)
| Checks that the specified address can be bound. More...
Static Public Member Functions inherited from GNet::EventHandler
static std::string | str (Reason)
| Returns a printable description of the other-event reason. More...
Protected Member Functions inherited from GNet::Server
void | serverCleanup ()
| May be called from the derived class destructor in order to trigger early deletion of peer objects, before the derived part of the server disappears. More...

## Detailed Description

A private implementation class used by GNet::MultiServer.

Definition at line 39 of file gmultiserver.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gmultiserver.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gmultiserver.cpp